Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 13 May 2020 10:14:20 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Till now almost two months my order not delivered to the store, even when I called the called center they confirmed the package in the closed store. 
Now, the store told me still not delivered and it will take time and your phone number not working. 

You are a bad and liar company , I cannot even cancel my order and return my money, no response no commitment or responsibility for your customer. 

I tried to contact anyone in the company not response and in the store they are all useless. 

I sent many mails and still insists to not solve my problem. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/967815